For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign in
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
    • Overview
    • Authentication
  • REST
      • POSTCreate Locale
      • GETList Locales
      • GETGet Locale
      • PATCHUpdate Locale
      • DELDelete Locale
      • POSTRestore Locale
Sign in
LogoLogo
RESTLocales

Get Locale

GET
https://api.makeswift.com/v2/locales/:localeIdOrCode
GET
/v2/locales/:localeIdOrCode
$curl -G https://api.makeswift.com/v2/locales/localeIdOrCode \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d siteId=550e8400-e29b-41d4-a716-446655440000
1{
2 "object": "locale",
3 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
4 "locale": "fr-FR",
5 "domain": "https://hearthfurniture.com.mx",
6 "pathPrefix": "french",
7 "isDefault": false
8}
Returns a locale by its ID or locale code.
Was this page helpful?
Previous

List Locales

Next

Update Locale

Built with

Authentication

x-api-keystring

API key authentication. Accepts either:

  • App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ)
  • Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

Path parameters

localeIdOrCodestringRequired
The locale ID or locale code.

Query parameters

siteIdstringOptionalformat: "uuid"
The site ID required when using a locale code instead of a locale ID.

Response

objectenum
Allowed values:
idstring or nullformat: "uuid"
The ID of the locale you are getting.
localestring
We support the subset of locales specified with ISO 3166 that are composed of language and optionally a region.
domainstring or nullformat: "uri"

The domain URL for domain-based localization.

pathPrefixstring or null
Custom URL path prefix. Null means the locale code is used as the default prefix.
isDefaultboolean
The flag that indicates whether this locale is the default locale for the site.

Errors

400
Bad Request Error
403
Forbidden Error